Name:           python-pylsqpack
Version:        0.3.17
Release:        %mkrel 3
Summary:        Python wrapper for the ls-qpack QPACK library
Group:          Development/Python

License:        BSD
URL:            https://pypi.org/project/pylsqpack/
Source:         %{pypi_source pylsqpack}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
Patch0:         0001-add-linkage-to-m.patch


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Wrapper around the ls-qpack library. It provides Python Decoder and Encoder
objects to read or write HTTP/3 headers compressed with QPACK.}


%description %_description

%package -n     python3-pylsqpack
Summary:        %{summary}

%description -n python3-pylsqpack %_description


%prep
%autosetup -p1 -n pylsqpack-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pylsqpack


%check
%pyproject_check_import


%files -n python3-pylsqpack -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sat Mar 01 2025 wally <wally> 0.3.17-3.mga10
+ Revision: 2155616
- rebuild for python3.13

* Wed Dec 27 2023 papoteur <papoteur> 0.3.17-2.mga10
+ Revision: 2022632
- rebuild for python 3.12

* Thu Oct 12 2023 papoteur <papoteur> 0.3.17-1.mga10
+ Revision: 1995241
- imported package python-pylsqpack

